VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter.ListenerProxyHandler (ActiveIO 1.0 API)
Keywords: org.activeio.net.VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter.ListenerProxyHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.net
Class VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter.ListenerProxyHandler

    java.lang.Object
      org.activeio.net.VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter.ListenerProxyHandler

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

Enclosing class:
  VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter

public class VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter.ListenerProxyHandler
extends java.lang.Object
implements java.lang.reflect.InvocationHandler

Constructor Summary
`VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter.ListenerProxyHandler()`

Method Summary
`java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter.ListenerProxyHandler

    public VMPipeAsynchChannelFactory.ClassloaderAsynchChannelAdapter.ListenerProxyHandler()

Method Detail

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `java.lang.reflect.InvocationHandler`
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.